< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package category
  Definition Classes
    client
-  package config
  Definition Classes
    client
- ObjectStoreClientConfig
-  package http
  Definition Classes
    client

p

uk.gov.hmrc.objectstore.client

# config 

#### package config

### Type Members

1.  final case class ObjectStoreClientConfig(baseUrl: String, owner: String, authorizationToken: String, defaultRetentionPeriod: RetentionPeriod) extends Product with Serializable

### Ungrouped